# @wjh666/codemirror

在线编辑器每次都得配置一次，感觉很麻烦

基于codemirror二次封装，实现在线编辑器

### demo

```js
import { jhCodeMirror } from '@wjh666/codemirror'

const editor = new jhCodeMirror({
  dom: document.body,
  cod: 'hello world',
  lang: 'javascript'
})

// 重置
editor.reset()

// 获取编辑器内容
editor.getDoc()

// 复制编辑器内容到剪切板
editor.copy()

// 更新代码
editor.updateCode('console.log(`hello world`)')

// 销毁编辑器
editor.destroy()
```

使用过程中发现有需要在线预览html的场景

就顺手加了html在线预览功能，可搭配codemirror使用

```javascript
import { jhDoc } from '@wjh666/codemirror'

const doc = new jhDoc({
  dom: document.body,
  cod: '<h1>hello world</h1>'
})

// 更新代码
doc.update('<h3>hello world<h3>')
```

如遇到css js 需要自己组装到html，不属于基础内容，因此不做处理
